### Method

# GObject Closure set_marshal

#### Declaration

    void
    g_closure_set_marshal (
      GClosure* closure,
      GClosureMarshal marshal
    )

#### Description

Sets the marshaller of `closure`.

The `marshal_data` of `marshal` provides a way for a meta marshaller to provide additional information to the marshaller.

For GObject’s C predefined marshallers (the `g_cclosure_marshal_*()` functions), what it provides is a callback function to use instead of `closure`->callback.

See also: `g_closure_set_meta_marshal()`

This method is not directly available to language bindings.

#### Parameters

`marshal`

  Type: `GClosureMarshal`

  A `GClosureMarshal` function.